package de.w665.fluidcms.rest.mapping;

import de.w665.fluidcms.db.repo.TestRepo;
import jakarta.inject.Inject;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;
import org.jboss.resteasy.reactive.RestResponse;

@Path("/test")
public class TestResource {

    @Inject
    TestRepo testRepo;

    @GET
    @Produces(MediaType.TEXT_PLAIN)
    public RestResponse<String> test() {
        testRepo.insert("testString");
        return RestResponse.ResponseBuilder.ok("Inserted testString into db.").build();
    }
}
