package de.w665.fluidcms.db;

import jakarta.inject.Singleton;
import lombok.Getter;
import lombok.Setter;
import org.eclipse.microprofile.config.inject.ConfigProperty;

@Getter
@Setter
@Singleton
public class RethinkDBConfig {
    @ConfigProperty(name = "fluidcms.database.host")
    String host;

    @ConfigProperty(name = "fluidcms.database.port")
    int port;

    @ConfigProperty(name = "fluidcms.database.name")
    String database;

    @ConfigProperty(name = "fluidcms.database.autoresetonstartup")
    boolean autoresetonstartup;
}
