package de.w665.fluidcms.model.objectattributes;

import de.w665.fluidcms.model.ObjectAttribute;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StringObjectAttribute extends ObjectAttribute<String> {
    private String value;

    @Override
    public String getValueAsString() {
        return value;
    }

    @Override
    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public boolean verifyValueType(Object value) {
        return value instanceof String;
    }
}
